Bug 91237 - CALC hangs on web table paste (intermittent)
Summary: CALC hangs on web table paste (intermittent)
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
4.4.0.0.beta2
Hardware: Other Windows (All)
: high major
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: bibisectRequest, haveBacktrace, regression
: 114795 (view as bug list)
Depends on:
Blocks: Paste
  Show dependency treegraph
 
Reported: 2015-05-12 11:16 UTC by Timur
Modified: 2019-05-18 03:05 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments
Backtrace with "kb" (22.53 KB, text/plain)
2015-05-12 11:16 UTC, Timur
Details
Backtraces from Libo Dev_5.2.0.0.alpha0 (3.86 KB, text/plain)
2015-12-22 17:46 UTC, Timur
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Timur 2015-05-12 11:16:35 UTC
Created attachment 115517 [details]
Backtrace with "kb"

Copying from Bug 89594:

Pasting from the following web page crashes calc:
http://en.wikipedia.org/wiki/List_of_countries_by_electricity_production_from_renewable_sources
2nd Table entitle 'All Countries'

Reproduced with LO 4.4.0 beta 2 (beta 1 doesn't seem to hang) and 5.0 alpha. 
Backtrace taken with "kb" because "analyze" not available after ntdll!NtTerminateProcess.

Bug 45307 doesn't seem related by the version, although the title is similar.
Comment 1 Timur 2015-05-12 11:18:36 UTC
I couldn't reproduce it in Ubuntu 15.04 with LO 4.4.2.2 (automatic import options). Paste is rather slow but no hang.
Comment 2 raal 2015-05-12 12:05:34 UTC
I can confirm crash with LO 4.4.2, win7

Error message:   osl::Thread::create failed
Comment 3 Timur 2015-06-16 14:38:54 UTC
4.4.4.2 still crashes:
Problem signature:
  Problem Event Name:	APPCRASH
  Application Name:	soffice.bin
  Application Version:	4.4.4.2
  Application Timestamp:	5578d67f
  Fault Module Name:	MSVCR110.dll
  Fault Module Version:	11.0.51106.1
  Fault Module Timestamp:	5098858e
  Exception Code:	40000015
  Exception Offset:	000a327c
  OS Version:	6.1.7601.2.1.0.256.48
  Locale ID:	4122

5.0 beta3 crashes after:
loading component library mergedlo.dll failed

master~2015-06-16_07.04.09_LibreOfficeDev_5.1.0.0.alpha1_Win_x86 doesn't crash and behaves like Linux, paste is rather slow but there's no hang.

So, whatever changed, should be backported to 4.4 and 5.0.
Comment 4 Timur 2015-07-16 15:02:41 UTC
4.4.5.1 still crashes
5.0.0.3 64-bit didn't crash
master LibreOfficeDev_5.1.0.0.alpha1_Win_x86 doesn't crash (mostly, there was one osl::Thread::create failed, but I couldn't reproduce)

So, since it's unlikely that 4.4 will be fixed, I'll close as WFM, at least until some duplicate is found.
Comment 5 kie000 2015-08-09 16:12:12 UTC
Tried with calc 5.0.0.5 - data copied from firefox.

I just repeated the actions from my original comment and calc hung (with no error message), the data appeared to paste in but then Calc wouldn't do anything after that. Recovery did not recover anything.

Tried to copy same info from IE 11 got message 'contents of the clipboard could not be pasted. Data pasted into notepad fine though.
Comment 6 kie000 2015-08-09 16:15:35 UTC
Ps, copying half of the table works so this seems to be a size / buffer / memory problem. (I have 16GB so it's not that)
Comment 7 kie000 2015-08-09 16:20:56 UTC
PPS.

4th attempt and it copied ok so bug is intermittent.

Odd thing is that calc freezes but it's not using the CPU.
Comment 8 Timur 2015-09-08 13:32:55 UTC
Version is earliest where reporduced. Reopen is when fix doesn't work, so New here.
Comment 9 Timur 2015-12-22 17:46:29 UTC
Created attachment 121501 [details]
Backtraces from Libo Dev_5.2.0.0.alpha0

ERROR: 
component context fails to supply service com.sun.star.linguistic2.LinguServiceManager of type com.sun.star.linguistic2.XLinguServiceManager2: loading component library
<file:///S:/LO-00-parallel/master/program/../program/mergedlo.dll> failed
Comment 10 Xisco Faulí 2016-09-13 09:53:43 UTC
I guess this can be bibisected with this repository:
http://dev-downloads.libreoffice.org/bibisect/win/bibisect_win_44.tar.xz.
Adding keyword 'bibisectRequest'.
Comment 11 raal 2017-05-24 14:57:40 UTC
I cannot reproduce with version  5.3.3.2. Could you retest?
Comment 12 Timur 2017-05-24 16:01:56 UTC Comment hidden (obsolete)
Comment 13 Timur 2017-05-24 16:03:31 UTC
Hard to say. Repro on 5.2.7. 
Then on first run crash on 5.3.3: http://crashreport.libreoffice.org/stats/crash_details/2fa53b4b-4484-4c5f-8f3e-33019591b5da but with Signature: atio6axx.dll (and OpenGL was off) so not sure whether related to this, because subsequent pastes were OK. 
And then crash without report on 5.5+ master master~2017-05-23_00.14.17_LibreOfficeDev_5.5.0.0.alpha0_Win_x86, but on second trial slow paste but no crash. All LO 32-bit.
Also with x64 http://crash crashreport.libreoffice.org/stats/crash_details/17c40d68-19d2-4d72-b1da-2ecca8e2ff68 with master~2017-04-13_00.34.50_LibreOfficeDev_5.4.0.0.alpha0_Win_x64_en-US_de_ar_ja_ru_qtz but Signature: mergedlo.dll.
Comment 14 Telesto 2017-07-08 12:25:52 UTC
No crash pasting from Firefox with
Version: 6.0.0.0.alpha0+
Build ID: cac5c9f6081590b0548d3116bc4cd4a2509ec576
CPU threads: 4; OS: Windows 6.19; UI render: default; 
TinderBox: Win-x86@42, Branch:master, Time: 2017-07-01_00:41:48
Locale: it-IT (nl_NL); Calc: CL

Pasting is a bit slow. And strange focus issues (LibO goes to the background a few times)
Comment 15 Xavier Van Wijmeersch 2017-07-08 16:27:03 UTC
i have no crash when paste to writer or calc, while pc is at 100% running because of building a new LO dev 6.0alpha+

Version: 6.0.0.0.alpha0+
Build ID: 6549993b17feb1423c76b5237f086e6f35346a2c
CPU threads: 8; OS: Linux 4.9; UI render: default; VCL: kde4; 
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:master, Time: 2017-07-06_07:37:37
Locale: nl-BE (en_US.UTF-8); Calc: group
Comment 16 Xisco Faulí 2018-01-25 11:54:33 UTC
*** Bug 114795 has been marked as a duplicate of this bug. ***
Comment 17 Buovjaga 2018-05-17 11:08:25 UTC
I was considering bibisecting this, but I don't get a hang. It is true that it is a bit slow.

Timur: can you re-test and possibly close?

Linux is similarly slow, so I guess I could do a callgrind trace and add to a new report about perf.

Version: 6.1.0.0.alpha1+
Build ID: 23c5125148a8110d88385b29570bf0b7d4400458
CPU threads: 4; OS: Windows 10.0; UI render: default; 
TinderBox: Win-x86@42, Branch:master, Time: 2018-05-12_00:15:25
Locale: fi-FI (fi_FI); Calc: group
Comment 18 Buovjaga 2018-05-17 11:50:00 UTC
Opened bug 117667 about the perf. Confirmed it goes back to 3.3
Comment 19 Timur 2018-05-17 15:08:47 UTC
Win 7, first time open:

LO 5.3.7 32-bit dump, slow and Fatal Error: 
component context fails to supply service
com.sun.star.linguistic2.LinguServiceManager of type
com.sun.star.linguistic2.XLinguServiceManager2: loading component library

LO 5.4.7 64-bit dump, slow

LO 6.0.4 32-bit dump, slow, "LibreOffice stopped working" APPCRASH ucrtbase.DLL (no LO Crash report)

LO 6.1+ 32-bit dump, slow (not responding for a while until it comes back)
STACK_TEXT:  
ntdll!ZwWaitForMultipleObjects+0x15
KERNELBASE!WaitForMultipleObjectsEx+0x100
kernel32!WaitForMultipleObjectsExImplementation+0xe0
user32!RealMsgWaitForMultipleObjectsEx+0x14d
user32!MsgWaitForMultipleObjects+0x1f

FOLLOWUP_IP: 
sal3!osl_waitCondition+43
6ae9aaf3 83e800          sub     eax,0

I'm not sure should we close this one. Now we have crash in 6.0.4 and no crash in master, but dump is still there. Probably the cause is somewhere else. 

I guess it's an old problem, maybe of multiple connections fetching data, icons that are linked to web location.
Telesto also wrote "It seems to me that LibO is trying to download every image at once, creating a flood of TCP connections (I used TCPview)".
We had this discussed somewhere long time ago, can't find it.
That's why I'm not in favor of the new bug 117667 about the perf.
Comment 20 Timur 2018-05-17 15:32:45 UTC
Correction: it's See also Bug 43338.
Comment 21 QA Administrators 2019-05-18 03:05:54 UTC
Dear Timur,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug